PHP 5.4.12 and 5.3.22 x64 (64 bit) for Windows

PHP

PHP 5.4.12 and 5.3.22 were released on 21 February, 2013. As usual they are bug fix releases. The complete official changelog can be found here.

Below you will find 64 bit binaries of PHP 5.4.12 and 5.3.22 for Windows. They were compiled with Visual C++ 2008 (MSVC 9). Also, there was a bug in the previous 64 bit 5.4 releases, which would cause php cli to crash when trying to start the built in web server. This has now been fixed.

Download

5.4.12 (Thread Safe)

php-5.4.12-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: B25819E8
MD5: 063A9A25D7BAB1C1356D7D0745C0C3E4
SHA-1: 42FB0C90290A0036C29EEAE876FC4514BE13D916

5.4.12 (Non Thread Safe)

php-5.4.12-nts-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: DF38C292
MD5: 6A5F2705E66B9EAFFDE7C1CE2F1CC208
SHA-1: 7598F2E7B9E03D55172E58F3A399D700427877BA

5.3.22 (Thread Safe)

php-5.3.22-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: F6EB49D6
MD5: 48D861B4ECD14D5CFE5FA2A808281996
SHA-1: 8D39D04373C45161871083CBDD0FDD405819C3D8

5.3.22 (Non Thread Safe)

php-5.3.22-nts-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: F204ECC4
MD5: 4CD0ABDA3558C61AB11749C019947DF4
SHA-1: 682F0FD03275E57311D04AB2B7BA36A0FEDE91C6

Additional Extensions

Additional extensions can be found here – http://www.mediafire.com/php-win64-extensions.

Please check the 5.3 and 5.4 sub folders for newer versions.

Related Posts:

Next Post:
Previous Post:

28 Comments

  1. victor

    Gracias Anindya, te agradezco mucho tu tiempo y esfuerzo.

  2. John

    Can’t get APC to work on Win 7 64bit. Downloaded php TS 5.4.12 + apache 2.2.23 x64 installer. php works, but as soon i add php_apc.dll apache won’t start. Tried all available versions from mediafire and without success.
    + php build-in server ckrashes on start:
    Problem signature:
    Problem Event Name: APPCRASH
    Application Name: php.exe
    Application Version: 5.4.11.0
    Application Timestamp: 511569dc
    Fault Module Name: php5ts.dll
    Fault Module Version: 5.4.11.0
    Fault Module Timestamp: 51156a40
    Exception Code: c0000005
    Exception Offset: 000000000011a8f0
    OS Version: 6.1.7601.2.1.0.256.1
    Locale ID: 1062
    Additional Information 1: 8864
    Additional Information 2: 8864286369440d6623a272778e4db0b2
    Additional Information 3: 1c32
    Additional Information 4: 1c32f4ebc8449f77c8baa380fd60a1a0

    Read our privacy statement online:
    http://go.microsoft.com/fwlink/?linkid=104288&clcid=0x0409

    If the online privacy statement is not available, please read our privacy statement offline:
    C:\Windows\system32\en-US\erofflps.txt

  3. zmcjs

    php最近更新太频繁了!
    这一版刚刚发布,下一班的rc就出来!
    bug这么多啊,官方能不能发布一个稳定版啊!
    唉!

  4. Anindya

    @victor

    You are welcome. 😀

    Google translated:
    Usted es bienvenido. 😀

    @John

    Doesn’t look like you are using 5.4.12. Also, looks like you are using Windows 7, so please use the php_apc.dll from the following archive. http://www.mediafire.com/file/absx279h643647m/php_apc-3.1.13-5.4-nts-VC9-x64-win7-2008.zip

    @zmcjs

    Yes, I have noticed that too.

    Google Translated:
    是的,我注意到了。

  5. zmcjs

    感谢作者的热情回复!
    我以为您是国外高手呢,担心您不认识汉语,呵呵呵!

  6. Scott

    I can’t seem to find the thread safe version for x64 APC extension for versions 3.1.13, I tried the nts one posted in the comments, but it doesn’t seem to agree with my setup for some reason.

  7. sam

    How about SQL SERVER drivers for windows? any change to shim that in to work?

    Having a bigint would be nice too but seriously how about Microsoft SQL SERVER drivers?

  8. zmcjs

    php 5.4.13 and 5.3.23 is release !please modfily x64 packages!
    thank you

  9. Jan Ehrhardt

    @sam: try the php_sqlsrv.dll in my PHP 5.4.13 compilations:
    http://www.apachelounge.com/viewtopic.php?t=5233

  10. Jan Ehrhardt

    That is only in the x86-versions…

  11. Pitoziq

    Thank you for your hard work! Is it possible to add php_gmagick to php extensions list?

  12. Jan Ehrhardt

    To my surprise I found a lot of x64 extensions on
    http://windows.php.net/downloads/pecl/releases/

  13. Johnny

    Hi,

    I installed this version on Windows Server 2008 R2 standard. When testing if PHP is ok using PHP -info

    Got the error below:-
    C:\PHP>php -info
    The application has failed to start because its side-by-side configuration is in
    correct. Please see the application event log or use the command-line sxstrace.e
    xe tool for more detail.

    Event Viewer:-
    Activation context generation failed for “C:\PHP\php.exe”. Dependent Assembly Microsoft.VC90.CRT,processorArchitecture=”amd64″,publicKeyToken=”1fc8b3b9a1e18e3b”,type=”win32″,version=”9.0.21022.8″ could not be found. Please use sxstrace.exe for detailed diagnosis.

    Pls help.

    TIA

  14. Jan Ehrhardt

    PHP 5.4.14 (and 5.3.24) are already available:
    http://www.apachelounge.com/viewtopic.php?t=5273

    My x64 build uses ICU 51.

  15. Jan Ehrhardt

    Official x64 (!) VC11 builds of PHP 5.5.0 beta 3:
    http://windows.php.net/qa/

    My builds with more extensions:
    http://www.apachelounge.com/viewtopic.php?t=5277

  16. zmcjs

    php 5.4.14 and 5.3.24 is release !please modfily x64 packages!
    thank you!

  17. Jan Ehrhardt
  18. kssbsr

    How to build php x64 edition myself? I’d like to try php 5.5 on Apache 2.4(x64) MySQL(x64) on Windows Server 2012. Thanks.

  19. Jan Ehrhardt

    PHP 5.4.14 (and 5.3.24) are available:
    http://www.apachelounge.com/viewtopic.php?t=5323

    The x64 builds now contain php_opcache.dll and php_apcu.dll

  20. Jan Ehrhardt

    Oops. That must have been 5.4.15 (and 5.3.25)

  21. zmcjs

    php 5.4.15 and php 5.3.25 is release please modfily x86 and x64 package是!

  22. Mirek

    Please, build SQLite version 3.7.11 or higher, where you can insert multiple rows at once
    http://www.sqlite.org/releaselog/3_7_11.html

  23. Jan Ehrhardt

    PHP 5.4.16 and 5.3.26 are released.
    http://www.apachelounge.com/viewtopic.php?t=5389

  24. zmcjs

    php 5.4.16 and 5.3.26 is release!
    please modfily x64 installer packages!
    thank you!

  25. vicmx

    @Jan Ehrhardt Where is the PHP 5.3.26 package?

  26. Jan Ehrhardt
  27. Jan Ehrhardt

    Just change the 5.4.16 in the URL in 5.3.26 😉

  28. vicmx

    Oh!! Thank you very much 🙂

Leave a Comment

Notify me of follow-up comments via e-mail.